Last Comment Bug 687991 - Nightly users are crashing on mail.alice.it
: Nightly users are crashing on mail.alice.it
Status: RESOLVED FIXED
[Input],[mobile-crash]
: crash, qawanted, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows 7
: -- critical (vote)
: ---
Assigned To: general
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-20 13:55 PDT by Aakash Desai [:aakashd]
Modified: 2015-10-07 18:52 PDT (History)
11 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Apple Crash Report (831 bytes, text/plain)
2011-09-21 10:20 PDT, Francesco Lodolo [:flod] (mostly out of office until Dec 19)
no flags Details

Description Aakash Desai [:aakashd] 2011-09-20 13:55:07 PDT
We've seen two reports of users crashing on mail.alice.it. I couldn't find a bug on it, so filing this as a tracker:

http://input.mozilla.com/en-US/?product=firefox&version=--&date_start=&date_end=&q=webmail+alice

Chris and Axel, can you guys do a search for mail.alice.it and see if any signatures pop up on nightlies over the past 2 days?
Comment 1 Marcia Knous [:marcia - use ni] 2011-09-20 15:27:38 PDT
I created an account, and when I go into my inbox using the latest nightly the browser stops working in the Windows 7 machine in the lab. I don't actually get the crash reporter so it may be that we don't actually get crash reports and they are sending the reports to MS.

Based on the input thread it looks as if this has been happening since 9/9.
Comment 2 Matthias Versen [:Matti] 2011-09-20 20:45:35 PDT
How can I create an Account there ?
It seems to be only for customers...
Comment 3 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-20 23:00:20 PDT
(In reply to Matthias Versen (Matti) from comment #2)
> How can I create an Account there ?

Good question, as far as I know you can create an @alice.it account only having ADSL or mobile with Telecom Italia. I tried a @tin.it account but it works (webmail seems different).

Regarding the problem, for me it started only after the update to Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a1) Gecko/20110920 Firefox/9.0a1. Five minutes ago, before the update, I checked my mail without problems (I think it was 20110919).

Crashreporter doesn't start, I get only Apple's crash reporter.
Comment 4 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-21 01:12:36 PDT
While I always get a crash on Mac, it's working fine on my Windows 7 notebook (with builds from 20110910, 20110915 and 20110920) and Linux (builds from 20110913 and 20110920).

I tried to narrow it down on my Mac using these builds on a clean profile

2011-09-20-08-55-17-mozilla-central: crash
2011-09-20-03-09-05-mozilla-central: works
2011-09-19-03-09-12-mozilla-central: works

At some point I managed to open that page on my Mac by disabling Flash, but it worked a couple of times and then started crashing again. Honestly I don't understand the situation, sometimes I get a crash even before I click to open the inbox (before the welcome page is loaded). I'm starting to think that's some content they load randomly (e.g. ads).
Comment 5 Matthias Versen [:Matti] 2011-09-21 05:28:44 PDT
Can you provide the apple crash log and attach it here (use the "add an attachment" link) ?

-> https://developer.mozilla.org/en/How_to_get_a_stacktrace_for_a_bug_report#Mac
Comment 6 Marcia Knous [:marcia - use ni] 2011-09-21 08:59:26 PDT
The input reports all are from users running Windows 7 (and one mention of Linux), so that does not jibe with what flod is saying in Comment 4 except that one user said he was running 64 bit, which is what I was running in the QA lab when I saw the freeze.

I am not sure how I created an account, but I have an inbox in Italian!
Comment 7 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-21 09:19:47 PDT
@marcia
My notebook has Windows 7 Pro 64bit.

I'll post Apple Crash Log as soon as I get home, but I think it's related to CrashReport, not Firefox.
Comment 8 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-21 10:20:13 PDT
Created attachment 561508 [details]
Apple Crash Report

As explained before, that's the only crash report I get and it seems related to the missing CrashReporter
Comment 9 Axel Hecht [:Pike] 2011-09-21 22:29:32 PDT
The crashreporter not showing up should be bug 688062, so we should get a crash stack with tomorrow's nightly.
Comment 10 chris hofmann 2011-09-22 08:06:20 PDT
there does seem to be a small increase in volume of alice.it crashes around login pages and others, but the crashes have been in previous releases as well.  js_ValueToBoolean is the current 9.0a1 signature, but we should also try and figure out if its just a shifting signature.

here are login related crashes with version, date of crash and signature for the last 12 days.

   2 9.0a1 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110920-crashdata.csv:js_ValueToBoolean
   1 9.0a1 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110921-crashdata.csv:js_ValueToBoolean
   1 9.0a1 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110921-crashdata.csv:\N
   1 9.0a1 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110919-crashdata.csv:js_ValueToBoolean
   1 6.0.2 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110916-crashdata.csv:mozalloc_abort(char const* const) | mozalloc_handle_oom() | mozilla::`anonymous namespace''::ContainerState::ProcessDisplayItems(nsDisplayList const&, mozilla::FrameLayerBuilder::Clip&)
   1 6.0.2 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110914-crashdata.csv:XPCConvert::NativeInterface2JSObject(XPCLazyCallContext&, unsigned __int64*, nsIXPConnectJSObjectHolder**, xpcObjectHelper&, nsID const*, XPCNativeInterface**, int, int, unsigned int*)
   1 6.0.2 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110911-crashdata.csv:GCGraphBuilder::NoteRoot(unsigned int, void*, nsCycleCollectionParticipant*)
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110918-crashdata.csv:RtlpTpWorkCallback
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110916-crashdata.csv:ByteBufferImpl::GetLength()
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110915-crashdata.csv:xvid.dll@0x3683b
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110915-crashdata.csv:nsNavHistory::InitTriggers()
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110912-crashdata.csv:js::PropertyTable::search(int, bool)
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110911-crashdata.csv:GraphWalker<scanVisitor>::DoWalk(nsDeque&)
   1 6.0.2 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110910-crashdata.csv:nsPluginHost::SetUpPluginInstance(char const*, nsIURI*, nsIPluginInstanceOwner*)
   1 6.0.1 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110914-crashdata.csv:wininet.dll@0x2b332
   1 5.0 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin?d=virgilio.it&u=sa.santoni&l=it 20110916-crashdata.csv:nssckbi.dll@0x46c8a
   1 4.0.1 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110919-crashdata.csv:mozalloc_abort(char const* const) | mozalloc_handle_oom() | nsCSSRuleProcessor::RefreshRuleCascade(nsPresContext*)
   1 4.0 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110918-crashdata.csv:
   1 3.6.3 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110916-crashdata.csv:DocumentViewerImpl::SetTextZoom(float)
   1 3.6.22 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110914-crashdata.csv:avgssff5.dll@0xdccae
   1 3.6.22 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110914-crashdata.csv:UserCallWinProcCheckWow
   1 3.6.22 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110913-crashdata.csv:UserCallWinProcCheckWow
   1 3.6.22 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110912-crashdata.csv:nsHttpTransaction::DeleteSelfOnConsumerThread()
   1 3.6.22 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110918-crashdata.csv:UserCallWinProcCheckWow
   1 3.6.22 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110917-crashdata.csv:nsCOMPtr_base::assign_from_qi(nsQueryInterface, nsID const&) | nsCOMPtr<nsIWebNavigation>::nsCOMPtr<nsIWebNavigation>(nsQueryInterface) | nsDOMWindowList::Item(unsigned int, nsIDOMWindow**)
   1 3.6.22 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110916-crashdata.csv:UserCallWinProcCheckWow
   1 3.6.22 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110916-crashdata.csv:PrintCocoaUI@0x1a20
   1 3.6.22 http://alicemail.rossoalice.alice.it/cp/ps/Main/login/SSOLogin 20110913-crashdata.csv:nsCOMPtr_base::assign_with_AddRef(nsISupports*) | xul.dll@0x98afd7
   1 3.6.18 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110920-crashdata.csv:pvmjpg21.dll@0xdfdf
   1 3.6.13 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110919-crashdata.csv:nsNPAPIPlugin::CreatePlugin(char const*, PRLibrary*, nsIPlugin**)
   1 3.0.6 http://webmailvtin.alice.it/cp/ps/Main/login/SSOLogin 20110919-crashdata.csv:nsView::DoResetWidgetBounds(int, int)
Comment 11 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-22 10:17:18 PDT
Here's a couple of crashes
https://crash-stats.mozilla.com/report/index/bp-b5f57ff4-58e6-4d93-9ec2-cee2f2110922
https://crash-stats.mozilla.com/report/index/bp-76ec707a-6e64-4a8a-a602-c0e652110922

As I said, I can reproduce it very easily (it crashes almost everytime).
Comment 12 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-09-23 11:10:04 PDT
Also occurs in mobile for the nightly as a top crasher (#2 for today):
uptime of 6 ~ 82 seconds.  Stack looks different though:

https://crash-stats.mozilla.com/report/index/d2e20568-0f83-4e93-a440-9cb2a2110923
https://crash-stats.mozilla.com/report/index/5893b7cd-1add-4f98-95b4-cc5502110922

URL : http://thepiratebay.org/
URL : http://www.fiatusa.com/en/
Comment 13 Brian Hackett (:bhackett) 2011-09-23 11:33:13 PDT
I suspect/hope this is bug 687768, which is also a NULL deref under ValueToBoolean when called from jitcode.  This is on inbound, and should be fixed in tomorrow's nightly.
Comment 14 Francesco Lodolo [:flod] (mostly out of office until Dec 19) 2011-09-25 23:08:12 PDT
(In reply to Brian Hackett from comment #13)
> I suspect/hope this is bug 687768, which is also a NULL deref under
> ValueToBoolean when called from jitcode.  This is on inbound, and should be
> fixed in tomorrow's nightly.

My Mac is not crashing anymore with Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a1) Gecko/20110925 Firefox/9.0a1.

I saw also another user with Windows 7 on input.mozilla.org saying that the crash is fixed.
Comment 15 Marcia Knous [:marcia - use ni] 2011-09-26 11:32:17 PDT
Crash stats for Mac indicate the last crash for this Mac in the js_ValueToBoolean signature was in the 20110923 build. As far as Windows, I would need the stack for that crash in order to verify it was fixed on the Windows side.
Comment 16 Naoki Hirata :nhirata (please use needinfo instead of cc) 2011-09-27 16:37:42 PDT
Crashes seen so far are from the 20110922 or 20110923 builds.  Have not seen any crashes beyond those builds as of yet on mobile.
Comment 17 Marcia Knous [:marcia - use ni] 2011-10-24 16:44:27 PDT
I think we can close this one out. There are still crashes in this signature but they are not on the nightly and none of the comments mention mail.alice.it.

Note You need to log in before you can comment on or make changes to this bug.